import { h } from "@stencil/core";
export class ModalEblast {
  constructor() {
    this.src = undefined;
  }
  async closeModal() {
    const modal = document.querySelector("ion-modal");
    if (modal) {
      modal.dismiss();
    }
  }
  async save() {
    const modal = document.querySelector("ion-modal");
    if (modal) {
      modal.dismiss();
    }
  }
  render() {
    return [
      h("ion-header", null, h("ion-toolbar", { color: "dark" }, h("ion-buttons", { slot: "start" }, h("ion-button", { fill: "clear", color: "light" }, h("ion-icon", { slot: "icon-only", name: "create" }))), h("ion-title", null, "Send Eblast"), h("ion-buttons", { slot: "end" }, h("ion-button", { onClick: () => this.closeModal(), fill: "clear", color: "primary" }, "Cancel")))),
      h("ion-content", null, h("floodteam-eblast-flow", null)),
    ];
  }
  static get is() { return "floodteam-modal-eblast"; }
  static get originalStyleUrls() {
    return {
      "$": ["modal-eblast.css"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["modal-eblast.css"]
    };
  }
  static get properties() {
    return {
      "src": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "src",
        "reflect": false
      }
    };
  }
}
